### Enumeration

# GimpUi ExportCapabilities

unstable since: 3.0

#### Declaration

    flags GimpUi.ExportCapabilities

#### Description [src]

The types of images and layers an export procedure can handle.

Available since: 3.0

#### Members

`GIMP_EXPORT_CAN_HANDLE_RGB`

  Handles RGB images.

  - Value: `1`
  - Nickname: `None`
  - Available since: 3.0
`GIMP_EXPORT_CAN_HANDLE_GRAY`

  Handles grayscale images.

  - Value: `2`
  - Nickname: `None`
  - Available since: 3.0
`GIMP_EXPORT_CAN_HANDLE_INDEXED`

  Handles indexed images.

  - Value: `4`
  - Nickname: `None`
  - Available since: 3.0
`GIMP_EXPORT_CAN_HANDLE_BITMAP`

  Handles two-color indexed images.

  - Value: `8`
  - Nickname: `None`
  - Available since: 3.0
`GIMP_EXPORT_CAN_HANDLE_ALPHA`

  Handles alpha channels.

  - Value: `16`
  - Nickname: `None`
  - Available since: 3.0
`GIMP_EXPORT_CAN_HANDLE_LAYERS`

  Handles layers.

  - Value: `32`
  - Nickname: `None`
  - Available since: 3.0
`GIMP_EXPORT_CAN_HANDLE_LAYERS_AS_ANIMATION`

  Handles animation of layers.

  - Value: `64`
  - Nickname: `None`
  - Available since: 3.0
`GIMP_EXPORT_CAN_HANDLE_LAYER_MASKS`

  Handles layer masks.

  - Value: `128`
  - Nickname: `None`
  - Available since: 3.0
`GIMP_EXPORT_CAN_HANDLE_LAYER_EFFECTS`

  Handles layer effects.

  - Value: `256`
  - Nickname: `None`
  - Available since: 3.0
`GIMP_EXPORT_NEEDS_ALPHA`

  Needs alpha channels.

  - Value: `512`
  - Nickname: `None`
  - Available since: 3.0
`GIMP_EXPORT_NEEDS_CROP`

  Needs to crop content to image bounds.

  - Value: `1024`
  - Nickname: `None`
  - Available since: 3.0